シミュレーションの一覧表示

名前空間: microsoft.graph

重要

Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。

テナントの攻撃シミュレーション キャンペーンの一覧を取得します。

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) SecurityEvents.Read.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション SecurityEvents.Read.All

HTTP 要求

GET /security/attackSimulation/simulations

オプションのクエリ パラメーター

このメソッドは、応答をカスタマイズするために次の OData クエリ パラメーターをサポートしています。 $count, , $filter, $orderby``$skiptoken, , $top``$select.

次のプロパティがサポート $filter され $orderbyattackTechniqueattackTypecompletionDateTimedisplayNameisAutomatedlaunchDateTimestatus

ページ分割に使用 @odata.nextLink します。

使用例を次に示します。

GET /security/attackSimulation/simulations?$count=true
GET /security/attackSimulation/simulations?$filter={property} eq '{property-value}'
GET /security/attackSimulation/simulations?$filter={property} eq '{property-value}'&$top=5
GET /security/attackSimulation/simulations?$orderby={property}
GET /security/attackSimulation/simulations?$top=1
GET /security/attackSimulation/simulations?$select={property}

一般的な情報については、「OData クエリ パラメーター」を参照してください。

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。

要求本文

このメソッドには、要求本文を指定しません。

応答

成功した場合、このメソッドは 200 OK 応答コードと応答本文内の シミュレーション オブジェクトのコレクションを返します。

要求

GET https://graph.microsoft.com/beta/security/attackSimulation/simulations

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "value": [
    {
      "id": "f1b13829-3829-f1b1-2938-b1f12938b1f1",
      "displayName": "Sample Simulation",
      "description": "Sample Simulation Description",
      "attackType": "social",
      "attackTechnique": "credentialHarvesting",
      "status": "scheduled",
      "createdDateTime": "2021-01-01T01:01:01.01Z",
      "createdBy": {
        "id": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
        "displayName": "Sample User",
        "email": "sampleuser@contoso.com"
      },
      "lastModifiedDateTime": "2021-01-01T01:01:01.01Z",
      "lastModifiedBy": {
        "id": "99af58b9-ef1a-412b-a581-cb42fe8c8e21",
        "displayName": "Sample User",
        "email": "sampleuser@contoso.com"
      },
      "launchDateTime": "2021-01-01T02:01:01.01Z",
      "completionDateTime": "2021-01-07T01:01:01.01Z",
      "isAutomated": false,
      "automationId": "f1b13829-3829-f1b1-2938-b1f12938b1ab",
      "payloadDeliveryPlatform": "email"
    }
  ]
}